Bug 59424 - klipper segfault
klipper segfault
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-02-07 13:09 EST by Tim Waugh
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-28 04:08:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-02-07 13:09:45 EST
Description of Problem:
Klipper segfaulted while I was changing its preferences.

Version-Release number of selected component (if applicable):
kdebase-3.0.0-0.cvs20020129.1

How Reproducible:
100%

Steps to Reproduce:
1. Click on the klipper icon, and 'Preferences'.
2. Go to 'Actions'.
3. Double-click on a regexp.

Actual Results:
(no debugging symbols found)...[New Thread 1024 (LWP 26948)]
0x40fdcff9 in wait4 () from /lib/i686/libc.so.6
#0  0x40fdcff9 in wait4 () from /lib/i686/libc.so.6
#1  0x4106b690 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40e16483 in waitpid () from /lib/i686/libpthread.so.0
#3  0x40608aa9 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  0x40e147fc in pthread_sighandler () from /lib/i686/libpthread.so.0
#5  <signal handler called>
#6  0x40e9577e in __dynamic_cast (src_ptr=0x80e9688, src_type=0x80f08f8, 
    dst_type=0x0, src2dst=1088507214)
    at ../../../../libstdc++-v3/libsupc++/tinfo.cc:686
#7  0x412a4eb5 in ListView::rename(QListViewItem*, int) ()
   from /usr/lib/klipper.so
#8  0x403e05ef in KListView::contentsMouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/libkdeui.so.4
#9  0x409a6df9 in QScrollView::viewportMouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#10 0x409a66be in QScrollView::eventFilter(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#11 0x4097decc in QListView::eventFilter(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#12 0x408b880f in QObject::activate_filters(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#13 0x408b8740 in QObject::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#14 0x408ecadc in QWidget::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#15 0x4086bce4 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#16 0x4086b442 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#17 0x40599bc6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#18 0x40815e27 in QETWidget::translateMouseEvent(_XEvent const*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#19 0x40813061 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#20 0x40812bc6 in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#21 0x4086d2c0 in QApplication::enter_loop() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0x40a0474d in QDialog::exec() () from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0x4129e932 in TopLevel::slotConfigure() () from /usr/lib/klipper.so
#24 0x4129d488 in TopLevel::clickedMenu(int) () from /usr/lib/klipper.so
#25 0x4129fb1b in TopLevel::qt_invoke(int, QUObject*) ()
   from /usr/lib/klipper.so
#26 0x408ba51b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0x408ba5dd in QObject::activate_signal(int, int) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0x40b72b92 in QPopupMenu::activated(int) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0x40996ee9 in QPopupMenu::actSig(int, bool) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0x4099a3e3 in QPopupMenu::mouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#31 0x408ecb49 in QWidget::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#32 0x4086bce4 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#33 0x4086b442 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#34 0x40599bc6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#35 0x4081595b in QETWidget::translateMouseEvent(_XEvent const*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#36 0x40813061 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#37 0x40812bc6 in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#38 0x4086d2c0 in QApplication::enter_loop() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#39 0x408125bd in QApplication::exec() () from /usr/lib/qt3/lib/libqt-mt.so.3
#40 0x4129a8c8 in main () from /usr/lib/klipper.so
#41 0x0804d10e in strcpy ()
#42 0x0804de4a in strcpy ()
#43 0x0804e333 in strcpy ()
#44 0x0804f0f0 in strcpy ()
#45 0x40f3c108 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Bernhard Rosenkraenzer 2002-04-04 10:53:40 EST
 Not reproducable with the current versions.

Note You need to log in before you can comment on or make changes to this bug.